Package com.pixelmed.display.event

# Class SourceSpectrumSelectionChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.SourceSpectrumSelectionChangeEvent

public class SourceSpectrumSelectionChangeEvent extends Event

## Constructor Summary

Constructors
Constructor
Description
`SourceSpectrumSelectionChangeEvent(EventContext eventContext, float[][] srcSpectra, int nSrcSpectra, int[] sortOrder, int index, AttributeList attributeList, GeometryOfVolume spectroscopyGeometry, SpectroscopyVolumeLocalization spectroscopyVolumeLocalization)`

## Method Summary

Modifier and Type
Method
Description
`AttributeList`
`getAttributeList()`
`GeometryOfVolume`
`getGeometryOfVolume()`
`int`
`getIndex()`
`int`
`getNumberOfSourceSpectra()`
`int[]`
`getSortOrder()`
`float[][]`
`getSourceSpectra()`
`SpectroscopyVolumeLocalization`
`getSpectroscopyVolumeLocalization()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceSpectrumSelectionChangeEvent

public SourceSpectrumSelectionChangeEvent(EventContext eventContext, float[][] srcSpectra, int nSrcSpectra, int[] sortOrder, int index, AttributeList attributeList, GeometryOfVolume spectroscopyGeometry, SpectroscopyVolumeLocalization spectroscopyVolumeLocalization)

Parameters:
  `eventContext` -
  `srcSpectra` -
  `nSrcSpectra` -
  `sortOrder` -
  `index` -
  `attributeList` -
  `spectroscopyGeometry` -
  `spectroscopyVolumeLocalization` -

## Method Details

### getSourceSpectra

public float[][] getSourceSpectra()

### getNumberOfSourceSpectra

public int getNumberOfSourceSpectra()

### getSortOrder

public int[] getSortOrder()

### getIndex

public int getIndex()

### getAttributeList

public AttributeList getAttributeList()

### getGeometryOfVolume

public GeometryOfVolume getGeometryOfVolume()

### getSpectroscopyVolumeLocalization

public SpectroscopyVolumeLocalization getSpectroscopyVolumeLocalization()